From 1af049e0b2c6e56f8ce629da03c52620a294ed46 Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 15 2018 17:42:23 +0000
Subject: [PATCH 4/15] use mvn()-style BRs and add javadoc subpackage for dd-plist


---

diff --git a/dd-plist/dd-plist.spec b/dd-plist/dd-plist.spec
index 82eadf4..fd5996e 100644
--- a/dd-plist/dd-plist.spec
+++ b/dd-plist/dd-plist.spec
@@ -10,12 +10,10 @@ Source0:    https://github.com/3breadt/dd-plist/archive/dd-plist-1.21.tar.gz
 
 BuildArch:  noarch
 
-BuildRequires:  maven-assembly-plugin
 BuildRequires:  maven-local
-BuildRequires:  maven-plugin-bundle
-BuildRequires:  sonatype-oss-parent
-
-Requires:   java-openjdk
+BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
+BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
+BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
 
 %description
 This library enables your Java application to handle property lists of various
@@ -24,6 +22,12 @@ objects. They originate from the NeXSTEP programming environment and are now a
 basic part of the Cocoa framework (OS X and iOS) as well as the GNUstep 
 framework.
 
+%package javadoc
+Summary:  Javadoc for %{name}
+
+%description javadoc
+%{summary}.
+
 %global debug_package %{nil}
 
 %prep
@@ -38,11 +42,13 @@ framework.
 %install
 %mvn_install
 
-%files
-%{_javadir}/%{name}
-%{_javadocdir}/%{name}
-%{_datadir}/maven-poms/%{name}
-%{_datadir}/maven-metadata/%{name}.xml
+%files -f .mfiles
+%doc README.md
+%license LICENSE.txt
+
+%files javadoc -f .mfiles-javadoc
+%doc README.md
+%license LICENSE.txt
 
 %changelog
 * Wed Oct 17 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.21-1

